KDE 4.7 PyKDE API Reference

- KDE's Python API

# Comment Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CharacterData → DOM.Node
Namespace: DOM

## Detailed Description

This represents the content of a comment, i.e., all the characters between the starting ' &lt;!-- ' and ending ' --&gt; '. Note that this is the definition of a comment in XML, and, in practice, HTML, although some HTML tools may implement the full SGML comment structure.

## Methods
| __init__ (self)
| __init__ (self, DOM.Comment other)
| __init__ (self, DOM.Node other)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.Comment | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |